% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Tilt Link H
% ACCdef_TLH contiene le medie per l'intervallo definito delle accelerazioni
% ARRAYdate_TLH contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_TLH,accTLH,ACCdefRis_TLH,TempDef_TLH] = MediaDati_TLH(...
    accTLH,TimeTLH,ris_acc_TLH,NdatiMedia,tempTLH,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_TLH function started';
fprintf(fileID,fmt,text);

%% Accelerazione
[r,~]=size(accTLH);
if NdatiMedia > r
    NdatiMedia = r;
end
accTLH = smoothdata(accTLH,'gaussian',NdatiMedia);

%% Matrice date
ARRAYdate_TLH = TimeTLH;

%% Risultante acc
ACCdefRis_TLH = ris_acc_TLH; % Non faccio la media, mi serve il dato come è per applicare i filtri

%% Temperatura
TempDef_TLH = tempTLH; % Non faccio la media, mi serve il dato come è per applicare i filtri
text = 'Average values for Tilt Link H have been processed. MediaDati_TLH function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end